io.netty.handler.codec.mqtt

## Enum MqttConnectReturnCode

- java.lang.Object
- - java.lang.Enum<MqttConnectReturnCode>
  - - io.netty.handler.codec.mqtt.MqttConnectReturnCode

All Implemented Interfaces:
  Serializable, Comparable<MqttConnectReturnCode>

    public enum MqttConnectReturnCode
    extends Enum<MqttConnectReturnCode>

Return Code of `MqttConnAckMessage`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CONNECTION_ACCEPTED`
`CONNECTION_REFUSED_BAD_AUTHENTICATION_METHOD`
`CONNECTION_REFUSED_BAD_USER_NAME_OR_PASSWORD`
`CONNECTION_REFUSED_BAD_USERNAME_OR_PASSWORD`
`CONNECTION_REFUSED_BANNED`
`CONNECTION_REFUSED_CLIENT_IDENTIFIER_NOT_VALID`
`CONNECTION_REFUSED_CONNECTION_RATE_EXCEEDED`
`CONNECTION_REFUSED_IDENTIFIER_REJECTED`
`CONNECTION_REFUSED_IMPLEMENTATION_SPECIFIC`
`CONNECTION_REFUSED_MALFORMED_PACKET`
`CONNECTION_REFUSED_NOT_AUTHORIZED`
`CONNECTION_REFUSED_NOT_AUTHORIZED_5`
`CONNECTION_REFUSED_PACKET_TOO_LARGE`
`CONNECTION_REFUSED_PAYLOAD_FORMAT_INVALID`
`CONNECTION_REFUSED_PROTOCOL_ERROR`
`CONNECTION_REFUSED_QOS_NOT_SUPPORTED`
`CONNECTION_REFUSED_QUOTA_EXCEEDED`
`CONNECTION_REFUSED_RETAIN_NOT_SUPPORTED`
`CONNECTION_REFUSED_SERVER_BUSY`
`CONNECTION_REFUSED_SERVER_MOVED`
`CONNECTION_REFUSED_SERVER_UNAVAILABLE`
`CONNECTION_REFUSED_SERVER_UNAVAILABLE_5`
`CONNECTION_REFUSED_TOPIC_NAME_INVALID`
`CONNECTION_REFUSED_UNACCEPTABLE_PROTOCOL_VERSION`
`CONNECTION_REFUSED_UNSPECIFIED_ERROR`
`CONNECTION_REFUSED_UNSUPPORTED_PROTOCOL_VERSION`
`CONNECTION_REFUSED_USE_ANOTHER_SERVER`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`byte` `byteValue()`
`static MqttConnectReturnCode` `valueOf(byte b)`
`static MqttConnectReturnCode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MqttConnectReturnCode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CONNECTION_ACCEPTED

    public static final MqttConnectReturnCode CONNECTION_ACCEPTED

#### CONNECTION_REFUSED_UNACCEPTABLE_PROTOCOL_VERSION

    public static final MqttConnectReturnCode CONNECTION_REFUSED_UNACCEPTABLE_PROTOCOL_VERSION

#### CONNECTION_REFUSED_IDENTIFIER_REJECTED

    public static final MqttConnectReturnCode CONNECTION_REFUSED_IDENTIFIER_REJECTED

#### CONNECTION_REFUSED_SERVER_UNAVAILABLE

    public static final MqttConnectReturnCode CONNECTION_REFUSED_SERVER_UNAVAILABLE

#### CONNECTION_REFUSED_BAD_USER_NAME_OR_PASSWORD

    public static final MqttConnectReturnCode CONNECTION_REFUSED_BAD_USER_NAME_OR_PASSWORD

#### CONNECTION_REFUSED_NOT_AUTHORIZED

    public static final MqttConnectReturnCode CONNECTION_REFUSED_NOT_AUTHORIZED

#### CONNECTION_REFUSED_UNSPECIFIED_ERROR

    public static final MqttConnectReturnCode CONNECTION_REFUSED_UNSPECIFIED_ERROR

#### CONNECTION_REFUSED_MALFORMED_PACKET

    public static final MqttConnectReturnCode CONNECTION_REFUSED_MALFORMED_PACKET

#### CONNECTION_REFUSED_PROTOCOL_ERROR

    public static final MqttConnectReturnCode CONNECTION_REFUSED_PROTOCOL_ERROR

#### CONNECTION_REFUSED_IMPLEMENTATION_SPECIFIC

    public static final MqttConnectReturnCode CONNECTION_REFUSED_IMPLEMENTATION_SPECIFIC

#### CONNECTION_REFUSED_UNSUPPORTED_PROTOCOL_VERSION

    public static final MqttConnectReturnCode CONNECTION_REFUSED_UNSUPPORTED_PROTOCOL_VERSION

#### CONNECTION_REFUSED_CLIENT_IDENTIFIER_NOT_VALID

    public static final MqttConnectReturnCode CONNECTION_REFUSED_CLIENT_IDENTIFIER_NOT_VALID

#### CONNECTION_REFUSED_BAD_USERNAME_OR_PASSWORD

    public static final MqttConnectReturnCode CONNECTION_REFUSED_BAD_USERNAME_OR_PASSWORD

#### CONNECTION_REFUSED_NOT_AUTHORIZED_5

    public static final MqttConnectReturnCode CONNECTION_REFUSED_NOT_AUTHORIZED_5

#### CONNECTION_REFUSED_SERVER_UNAVAILABLE_5

    public static final MqttConnectReturnCode CONNECTION_REFUSED_SERVER_UNAVAILABLE_5

#### CONNECTION_REFUSED_SERVER_BUSY

    public static final MqttConnectReturnCode CONNECTION_REFUSED_SERVER_BUSY

#### CONNECTION_REFUSED_BANNED

    public static final MqttConnectReturnCode CONNECTION_REFUSED_BANNED

#### CONNECTION_REFUSED_BAD_AUTHENTICATION_METHOD

    public static final MqttConnectReturnCode CONNECTION_REFUSED_BAD_AUTHENTICATION_METHOD

#### CONNECTION_REFUSED_TOPIC_NAME_INVALID

    public static final MqttConnectReturnCode CONNECTION_REFUSED_TOPIC_NAME_INVALID

#### CONNECTION_REFUSED_PACKET_TOO_LARGE

    public static final MqttConnectReturnCode CONNECTION_REFUSED_PACKET_TOO_LARGE

#### CONNECTION_REFUSED_QUOTA_EXCEEDED

    public static final MqttConnectReturnCode CONNECTION_REFUSED_QUOTA_EXCEEDED

#### CONNECTION_REFUSED_PAYLOAD_FORMAT_INVALID

    public static final MqttConnectReturnCode CONNECTION_REFUSED_PAYLOAD_FORMAT_INVALID

#### CONNECTION_REFUSED_RETAIN_NOT_SUPPORTED

    public static final MqttConnectReturnCode CONNECTION_REFUSED_RETAIN_NOT_SUPPORTED

#### CONNECTION_REFUSED_QOS_NOT_SUPPORTED

    public static final MqttConnectReturnCode CONNECTION_REFUSED_QOS_NOT_SUPPORTED

#### CONNECTION_REFUSED_USE_ANOTHER_SERVER

    public static final MqttConnectReturnCode CONNECTION_REFUSED_USE_ANOTHER_SERVER

#### CONNECTION_REFUSED_SERVER_MOVED

    public static final MqttConnectReturnCode CONNECTION_REFUSED_SERVER_MOVED

#### CONNECTION_REFUSED_CONNECTION_RATE_EXCEEDED

    public static final MqttConnectReturnCode CONNECTION_REFUSED_CONNECTION_RATE_EXCEEDED

### Method Detail

#### values

    public static MqttConnectReturnCode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MqttConnectReturnCode c : MqttConnectReturnCode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MqttConnectReturnCode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### byteValue

    public byte byteValue()

#### valueOf

    public static MqttConnectReturnCode valueOf(byte b)